/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.ellectra.gui.managebeans;

/**
 *
 * @author tdi
 */
public class tendereeslist {

    private int tid;
    private String tender;
    private boolean status;
    private String statustext;
    
    private boolean reject;
    private String rejstage;
    private boolean accepted;
    
    private double totalscore;
    
    private String statustextstatus;//Accepted or rejected

    public int getTid() {
        return tid;
    }

    public void setTid(int tid) {
        this.tid = tid;
    }

    public String getTender() {
        return tender;
    }

    public void setTender(String tender) {
        this.tender = tender;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public boolean isReject() {
        return reject;
    }

    public void setReject(boolean reject) {
        this.reject = reject;
    }

    public String getRejstage() {
        return rejstage;
    }

    public void setRejstage(String rejstage) {
        this.rejstage = rejstage;
    }

    public String getStatustext() {
        return statustext;
    }

    public void setStatustext(String statustext) {
        this.statustext = statustext;
    }

    public String getStatustextstatus() {
        return statustextstatus;
    }

    public void setStatustextstatus(String statustextstatus) {
        this.statustextstatus = statustextstatus;
    }

    public boolean isAccepted() {
        return !reject;
    }

    public void setAccepted(boolean accepted) {
        this.accepted = accepted;
    }

    public double getTotalscore() {
        return totalscore;
    }

    public void setTotalscore(double totalscore) {
        this.totalscore = totalscore;
    }
    
    
}
